Package com.destroystokyo.paper.exception

# Class ServerPluginException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.destroystokyo.paper.exception.ServerException
com.destroystokyo.paper.exception.ServerPluginException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ServerEventException`, `ServerPluginEnableDisableException`, `ServerPluginMessageException`, `ServerSchedulerException`

public class ServerPluginException extends ServerException
Wrapper exception for all cases to which a plugin can be immediately blamed for

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ServerPluginException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Plugin responsiblePlugin)`
``
`ServerPluginException(String message, Throwable cause, Plugin responsiblePlugin)`
``
`ServerPluginException(Throwable cause, Plugin responsiblePlugin)`

## Method Summary

Modifier and Type
Method
Description
`Plugin`
`getResponsiblePlugin()`
Gets the plugin which is directly responsible for the exception being thrown

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServerPluginException

public ServerPluginException(String message, Throwable cause, Plugin responsiblePlugin)

### ServerPluginException

public ServerPluginException(Throwable cause, Plugin responsiblePlugin)

### ServerPluginException

protected ServerPluginException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Plugin responsiblePlugin)

## Method Details

### getResponsiblePlugin

public Plugin getResponsiblePlugin()
Gets the plugin which is directly responsible for the exception being thrown

Returns:
  plugin which is responsible for the exception throw